Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1555726 - elfutils: FTBFS in F28 - aarch64 unwind issue
Summary: elfutils: FTBFS in F28 - aarch64 unwind issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:33 UTC by Fedora Release Engineering
Modified: 2018-04-15 02:38 UTC (History)
6 users (show)

Fixed In Version: elfutils-0.170-11.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-15 02:38:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 19:33:59 UTC
Your package elfutils failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24782621

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Mark Wielaard 2018-03-14 19:47:08 UTC
That looks like a fairly old version elfutils-0.170-6. Latest is elfutils-0.170-10.

Comment 2 fednuc 2018-04-04 18:54:30 UTC
Still FTBFS with 0.170-10: https://apps.fedoraproject.org/packages/elfutils/builds

Also, upgrading to F28 via dnf system-upgrade drags it back to 0.170-1.fc27 for some reason.

Comment 3 Mark Wielaard 2018-04-04 19:11:00 UTC
(In reply to Stephen from comment #2)
> Still FTBFS with 0.170-10:
> https://apps.fedoraproject.org/packages/elfutils/builds

That seems a different failure. Apparently some toolchain update broke unwinding on aarch64. Will investigate.

> Also, upgrading to F28 via dnf system-upgrade drags it back to 0.170-1.fc27
> for some reason.

That is not good. 0.170-10 is the latest (and in f27). It contains various fixes for the f28 toolchain updates (gcc8).

Comment 4 fednuc 2018-04-04 19:19:46 UTC
> That is not good. 0.170-10 is the latest (and in f27)

Yeah I'm a bit mystified by that. Manually downloading 0.170-10.fc27 packages from https://koji.fedoraproject.org/koji/buildinfo?buildID=1057597 then doing dnf install elfutils* works fine...

dnf info still only shows -1.fc27 though...

Comment 5 Mark Wielaard 2018-04-11 08:55:29 UTC
This issue was a failure on aarch64 in the unwinding testcases (run-deleted.sh and run-backtrace-dwarf.sh). This caused the build to fail on that architecture and apparently that means all other arches also don't get the updates.

I am backporting an upstream fix for the aarch64 issue.
https://sourceware.org/ml/elfutils-devel/2018-q2/msg00006.html

Comment 6 Fedora Update System 2018-04-11 09:39:04 UTC
elfutils-0.170-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0be914ed2a

Comment 7 Fedora Update System 2018-04-11 22:58:48 UTC
elfutils-0.170-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0be914ed2a

Comment 8 Fedora Update System 2018-04-15 02:38:14 UTC
elfutils-0.170-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.